Skip to main content
GET
/
finops
/
v1
/
transactions
/
{transaction_id}
/
expense_history
Get expense history for a transaction
curl --request GET \
  --url https://api.sandbox.tesouro.com/finops/v1/transactions/{transaction_id}/expense_history \
  --header 'Authorization: Bearer <token>' \
  --header 'x-finops-version: <x-finops-version>' \
  --header 'x-organization-id: <x-organization-id>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_data": {
        "approval_policy_id": "<string>",
        "approval_policy_name": "<string>",
        "approval_policy_process_id": "<string>",
        "approval_request_id": "<string>",
        "approval_source": "<string>",
        "reject_reason": "<string>"
      }
    }
  ],
  "next_pagination_token": "<string>",
  "prev_pagination_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

transaction_id
string<uuid>
required

Query Parameters

event_type
enum<string>

Filter by event type (e.g. status_changed)

Available options:
status_changed,
approval_action
order
enum<string>
default:desc

Sort order by timestamp

Available options:
asc,
desc
limit
integer
default:100

Maximum number of records to return

Required range: 1 <= x <= 500
offset
integer
default:0

Number of records to skip

Required range: x >= 0

Response

Successful Response

data
object[]
required
next_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).

prev_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).